> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/card/physical-card/delivery-address/update-delivery-address.md).

# Update Delivery Address

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/update-delivery-address`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="188.32421875">Name</th><th width="147.52734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>delivery_address_id<mark style="color:red;">*</mark></td><td>Long</td><td>Delivery Address ID</td></tr><tr><td>first_name<mark style="color:red;">*</mark></td><td>string(64)</td><td>First Name</td></tr><tr><td>last_name<mark style="color:red;">*</mark></td><td>string(64)</td><td>Last Name</td></tr><tr><td>mobile<mark style="color:red;">*</mark></td><td>string</td><td>Mobile</td></tr><tr><td>email<mark style="color:red;">*</mark></td><td>string</td><td>Email</td></tr><tr><td>line<mark style="color:red;">*</mark></td><td>string(128)</td><td><p>The first line of the address.</p><p>Format:<a href="https://docs.pagsmile.com/remittance-api/data/dictionary-item/charsets">CHARSETS_4</a></p></td></tr><tr><td>line2</td><td>string(128)</td><td><p>The second line of the address.</p><p>Format:<a href="https://docs.pagsmile.com/remittance-api/data/dictionary-item/charsets">CHARSETS_4</a></p></td></tr><tr><td>postal_code<mark style="color:red;">*</mark></td><td>string(4-8)</td><td>The address zip code, or postal code</td></tr><tr><td>city_name<mark style="color:red;">*</mark></td><td>string(4-80)</td><td><p>The address city</p><p>Format:<a href="https://docs.pagsmile.com/remittance-api/data/dictionary-item/charsets">CHARSETS_6</a></p></td></tr><tr><td>state<mark style="color:red;">*</mark></td><td>string(4-48)</td><td><p>The address state</p><p>Format:<a href="https://docs.pagsmile.com/remittance-api/data/dictionary-item/charsets">CHARSETS_6</a></p></td></tr><tr><td>country_code<mark style="color:red;">*</mark></td><td>string(2)</td><td>Country code</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "b1c8bCBE-5471-f646-2057-9c0F0eFe",
    "timestamp": "2025-04-07 13:56:46",
    "format": "JSON",
    "version": "2.0",
    "random_key": "<generated_key>",
    "sign_type": "RSA",
    "biz_data": {
  
    }
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name                  | Type | Description         |
| --------------------- | ---- | ------------------- |
| delivery\_address\_id | long | Delivery Address ID |

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "delivery_address_id": 100848
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}
